'use strict';
var shelljs = require('shelljs');

module.exports = function(grunt) {
    grunt.file.expand(__dirname + '/../../node_modules/grunt-bump/tasks').forEach(grunt.loadTasks);
    grunt.registerTask('promote', function(bumpStyle) {
        var code = shelljs.exec('npm --no-git-tag-version version ' + bumpStyle).code;
        if (code !== 0) {
            echo('Error: npm version failed');
            grunt.fail.fatal('npm version failed', code);
        }
    });
};
